| Home | Libraries | People | FAQ | More

## Function template pow

boost::units::pow

## Synopsis

    // In header: <boost/units/cmath.hpp>

    template<typename S, typename Y>
      quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(S), Y >
      pow(const quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(S), Y > & q1,
          const quantity< BOOST_UNITS_DIMENSIONLESS_UNIT(S), Y > & q2);

## Description

For non-dimensionless quantities, integral and rational powers and roots can be computed by `pow<Ex>` and `root<Rt>` respectively.